Summary: safely execute scripts or other commands setuid-root
Name: super
Version: @version@
Release: 1
Copyright: GPL or "Artistic"
Group: System/Base
Source: ftp://www.ucolick.org/pub/users/will/super-@version@-tar.gz
### BuildRoot: /var/tmp/%{name}-buildroot

%description
Super(1) is a setuid-root program that offers restricted setuid-root
access to executables, adjustable on a per-program and per-user basis.
It provides a relatively secure environment for scripts, so that
well-written scripts can be run as root (or some other uid/gid),
without unduly compromising security.

%prep
%setup -q
%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var/super
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc README README.Y2K Artistic Copying WhatsNew
%doc sample.cdmount sample.cdumount sample.tab

%config /etc/super.tab
/usr/bin/super
/usr/bin/setuid
/usr/man/man1/super.1*
/usr/man/man5/super.5*

%changelog
* Tue Feb 12 2002 Will Deich <will@ucolick.org>
  Release 1
